%define upstream_name    Dist-Zilla-Plugin-AutoPrereq
%define upstream_version 0.3.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Automatically extract prereqs from your modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Util)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Script)
BuildRequires: perl(version)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
This plugin will extract loosely your distribution prerequisites from
your files.

The extraction may not be perfect, since it will only find the following
prereqs:
 · plain lines beginning with "use" or "require" in your perl modules
   and scripts.
 · Moose roles included with the "with" keyword.
 · Moose inheritance declared with the "extends" keyword

If some prereqs are not found, you can still add them manually with the
Dist::Zilla::Plugin::Prereq plugin.

It will trim the following pragamata: "strict", "warnings" and "lib".
It will also trim the modules under your dist namespace (eg: for
"Dist-Zilla", it will trim all "Dist::Zilla::*" prereqs found.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Aug 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.3.1-1mdv2010.0
+ Revision: 411233
- update to 0.3.1

* Thu Aug 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.3.0-1mdv2010.0
+ Revision: 410869
- adding missig buildrequires:
- update to 0.3.0

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 399392
- update to 0.2.0

* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.1.2-1mdv2010.0
+ Revision: 393106
- update to 0.1.2

* Wed Jul 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 391279
- import perl-Dist-Zilla-Plugin-AutoPrereq


* Wed Jul 01 2009 cpan2dist 0.1.1-1mdv
- initial mdv release, generated with cpan2dist

